using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class LocalUIManager : PlayerUIManager
{

    public BlockInput characterInput;

    protected override void Awake()
    {
        base.Awake();
        TrayUI.SetBlockReader(characterInput.blockReader);
    }

    public override void OnClick_Play()
    {
        OnClick_Hide();
        characterInput.blockReader.LogicChain = TrayUI.reader.LogicChain;
        characterInput.ReadAll();
    }
}
